Please add rs.GetCircle() to rhinoscriptsyntax

Exists in VB Rhinoscript since 2013… :sunglasses:
https://mcneel.myjetbrains.com/youtrack/issue/RH-15740/Wish-Rhino.GetCircle

1 Like

Hi @Helvetosaur,

Use either the simple RhinoGet.GetCircle method or the more customizable Custom.GetCircle class.

– Dale

Hi Dale,

Thanks. The idea here was to have a simplified GetCircle method available for beginner/intermediate level people who are comfortable using rhinoscriptsyntax but not necessarily RhinoCommon. As (VB) Rhinoscript seems to be considered to be ‘legacy’ at this point, this method seemed to me to be a good candidate for porting to rhinoscriptsyntax…

I know it’s pretty simple, but still…

import rhinoscriptsyntax as rs
import Rhino

def TestGetCircle():
    rc,circle=Rhino.Input.RhinoGet.GetCircle()
    if rc==Rhino.Commands.Result.Success:
        return circle.Plane,circle.Radius

result=TestGetCircle()
if result: rs.AddCircle(result[0],result[1])

https://mcneel.myjetbrains.com/youtrack/issue/RH-74929